aboutsummaryrefslogtreecommitdiff
path: root/evolution/tester.in
diff options
context:
space:
mode:
Diffstat (limited to 'evolution/tester.in')
-rwxr-xr-xevolution/tester.in43
1 files changed, 43 insertions, 0 deletions
diff --git a/evolution/tester.in b/evolution/tester.in
new file mode 100755
index 0000000..805b360
--- /dev/null
+++ b/evolution/tester.in
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+# file : evolution/tester.in
+# copyright : Copyright (c) 2009-2013 Code Synthesis Tools CC
+# license : GNU GPL v2; see accompanying LICENSE file
+
+#
+# Run an evolution test. The test driver is in the current directory. The
+# data files, if any, are in $srcdir.
+#
+
+db_driver="$top_builddir/@database@-driver"
+db_options="$top_builddir/@database@.options"
+
+if test -f test1.sql; then
+ # Standalone schema.
+ #
+
+ # Drop everything.
+ $db_driver test3.sql || exit 1
+ $db_driver test2.sql || exit 1
+ $db_driver test1.sql || exit 1
+
+ # Base schema.
+ $db_driver test3-002-pre.sql || exit 1
+ $db_driver test3-002-post.sql || exit 1
+ ./driver --options-file "$db_options" 1 || exit 1
+
+ # Migration.
+ $db_driver test3-003-pre.sql || exit 1
+ ./driver --options-file "$db_options" 2 || exit 1
+ $db_driver test3-003-post.sql || exit 1
+
+ # Current schema.
+ ./driver --options-file "$db_options" 3 || exit 1
+
+else
+ # Embedded schema. Just run the driver.
+ #
+ ./driver --options-file "$db_options" 1 || exit 1
+ ./driver --options-file "$db_options" 2 || exit 1
+ ./driver --options-file "$db_options" 3 || exit 1
+fi